pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque Represents the description of an ideal font. This class is used both to list what fonts are available on the system and also for specifying the characteristics of a font to load.
- Constructor
  2.12.0.0
  Default constructor
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  System.Double The size of the font in device units. A , the new size in Pango units. There are Pango units in one device unit. For an output backend where a device unit is a pixel, an AbsoluteSize value of 10 * gives a 10 pixel font.
- Method
  2.12.0.0
  System.Boolean `` `` a object a object Determines which better matches the current instance. if new_match is a better match. Determines if the style attributes of new_match are a closer match for the current instance than old_match, or if old_match is , determines if new_match is a match at all. Approximate matching is done for weight and style; other attributes must match exactly.
- Method
  2.12.0.0
  Pango.FontDescription Make a copy of an object of type
- Method
  2.12.0.0
  Pango.FontDescription Make a copy of an object of type Like , but only a shallow copy is made of the family name and other allocated fields. The result can only be used until it is modified or freed. This is meant to be used when the copy is only needed temporarily.
- Method
  2.12.0.0
  System.Boolean `` an object of type to test for equality Compares two font descriptions for equality. an object of type if the two font descriptions are proveably identical. (Two font descriptions may result in identical fonts being loaded, but still compare .)
- Property
  2.12.0.0
  System.String The family name of the font. The family name field. (Will be if not previously set.) The family name represents a family of related font styles, and will resolve to a particular . In some uses of , it is also possible to use a comma separated list of family names for this property.
- Property
  2.12.0.0
  System.String Sets the family name of the font without copying the string. The family name represents a family of related font styles, and will resolve to a particular . In some uses of , it is also possible to use a comma separated list of family names for this property.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete("Pango.FontDescription is now freed automatically")
  System.Void Frees a font description.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.12.0.0
  Pango.FontDescription `` The string representation of the font description. Creates a new font description from a string representation. The object of type created. The form of the string representation is "[FAMILY-LIST] [STYLE-OPTIONS] [SIZE]", where:
  FAMILY-LIST is a comma separated list of families optionally terminated by a comma.
  STYLE-OPTIONS is a whitespace separated list of words where each WORD describes one of style, variant, weight, or stretch.
  SIZE is a decimal number (size in points)

  Any one of the options may be absent. If FAMILY-LIST is absent, then the family_name field of the resulting font description will be initialized to NULL. If STYLE-OPTIONS is missing, then all style options will be set to the default values. If SIZE is missing, the size in the resulting font description will be set to 0.

- Property
  2.12.0.0
  Pango.Gravity Gravity orientation of the font. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.UInt32 Computes a hash of a structure suitable to be used. the hash value.
- Method
  2.12.0.0
  System.Void `` `` The to merge from. If , replace fields in current instance with the corresponding values from , even if they are already exist. Merges the fields of a font description into the current instance.
- Method
  2.12.0.0
  System.Void `` `` an object of type an object of type Merges the fields of a font description into the current instance without copying the field data (shallow copy). Like , but only a shallow copy is made of the family name and other allocated fields. desc can only be used until is modified or freed. This is meant to be used when the merged font description is only needed temporarily.
- Property
  2.12.0.0
  Pango.FontMask Determines which fields in the font description have been set. a corresponding to the fields that have been set.
- Property
  2.12.0.0
  System.Int32 The size of the font in fractional points.

  The size field for the font description scaled by . Setting this field is in fractional points. When getting the Size the value is either in points or device units. Use to find out which is the case.

  Returns 0 if the size field has not previously been set. Use to find out if the field was explicitly set or not.

  There are pango units in one device unit - for fonts, font points are the device unit. Therefore, the size of the font in points is / .

  Use if you need to set a particular size in device units

- Property
  2.12.0.0
  System.Boolean Determines whether the size of the font is in points (not absolute) or device units (absolute). a , indicating whether the Size for the FontDescription is in points or device units. See and .
- Property
  2.12.0.0
  Pango.Stretch The stretch of the font. the stretch field for the font description. The stretch property specifies how narrow or wide the font should be.
- Property
  2.12.0.0
  Pango.Style The style of the font. the style for the font description Most fonts will either have a italic style or an oblique style, but not both, and font matching in Pango will match italic specifications with oblique fonts and vice-versa if an exact match is not found.
- Method
  2.12.0.0
  System.String Creates a filename representation of a font description. an object of type The filename created is identical to the result from calling , but with underscores instead of characters that are untypical in filenames, and in lower case only.
- Method
  2.12.0.0
  System.String To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` an object of type (bitmask of fields in the desc to unset). Unsets some of the fields in the . This merely marks the fields cleared, it does not clear the settings for those fields. To clear a family name set with so that it won't be returned by , you must actually set to .
- Property
  2.12.0.0
  Pango.Variant The variant of the font. the variant type for the font description.
- Property
  2.12.0.0
  Pango.Weight The weight (boldness) of the font. the weight for the font description. The weight property specifies how bold or light the font should be. In addition to the values of the enumeration, other intermediate numeric values are possible.